%hastingsDemo

clear; close all;

[t,y]=ode45(@hastings,[0 3000],[.7;.15;10]);
plot3(y(:,1),y(:,2),y(:,3));

figure;

h1 = uicontrol; % generic gui 
set( h1, 'Position', [20 10 120 20] ); % (x,y) of lower-left corner, width, height
set( h1, 'Style', 'Slider' ); % GUI type
set( h1, 'Min', 0, 'Max', 2.5, 'Value', 0 ); % slider limits and default value

% Text fields for slider values:
h3 = uicontrol; 
set( h3, 'Position', [160 10 40 20] );
set( h3, 'Style', 'Text' );
set( h3, 'String', get(h1,'Value') );

h4 = uicontrol; 
set( h4, 'Position', [210 10 80 20] );
set( h4, 'Style', 'Text' );
set( h4, 'String', 'Skewness:');

h5 = uicontrol; 
set( h5, 'Position', [300 10 80 20] );
set( h5, 'Style', 'Text' );
set( h5, 'String', '0');

set( h1, 'Callback', 'hastingscallback(h1,h3,h5);' );

figure;
im = imread('hastingsbifurc1.jpg');
imshow(im);

figure;
im = imread('hastingsbifurc3.jpg');
imshow(im);
