% interactive choice of initial point for 3d hastings map.

a1 = 5.0  ; a2 = 0.1;
b1R = [2.46 : .0001 : 2.47]  ; b2 = 2.0; 
d1 = 0.4  ; d2 = 0.01;


N = 1000;                                  % how many its
x = zeros(3, N+1);
figure;

x0 = zeros(3, length(b1R));

for i = 1 : length(b1R)
    b1 = b1R(i)
    
    f1 = @(x) [a1*x/(1+b1*x)];
    f2 = @(x) [a2*x/(1+b2*x)];
    hastings = @(t,y) [y(1)*(1-y(1))-f1(y(1))*y(2) ; 
     f1(y(1))*y(2)-f2(y(2))*y(3)-d1*y(2) ;
     f2(y(2))*y(3)-d2*y(3)];
 
    x0(:,i) = [rand;rand;6*rand+7];
    
    [t,x]=ode45(hastings,[0 1000],x0(:,i));
    
    M = peakdet(x(500:length(x(:,3)),3),.1)
    
    hold on;
    plot(b1, M(:,2), 'k.', 'Markersize', 1);
    

     axis([b1R(1) b1R(length(b1R)) 11.4 12.3]); % view region
end;

% done
