function yprime = mayGLV(t,y) 
%MayGLV: Contains simplified linear GLV three-species equations (competition)

a = .8; b = 1.3;

f1 = @(y) [y(1) * (1 - y(1) - a*y(2) - b*y(3))];
f2 = @(y) [y(2) * (1 - b*y(1) - y(2) - a*y(3))];
f3 = @(y) [y(3) * (1 - a*y(1) - b*y(2) - y(3))];

yprime = [f1(y) ; f2(y) ; f3(y)];